Users
Link partner external user ID (HMAC-verified)
POST
appIdbearerAuthheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
header
AuthorizationBearer <JWT>JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.
application/json- body
externalId*stringLength
1 <= length <= 255timestamp*integerRange
1 <= valuehmac*stringMatch
^[a-fA-F0-9]{64}$200
application/json- response
id*stringusername*stringavatarUrl*stringexternalId*stringisLocationBlocked*booleanaccounts*array<>wallets*array<>venueAccounts*array<>otherIdentities?array<>curl -X POST 'https://api.t.sufwankhalid.com/users/me/external-id' \ -H 'Content-Type: application/json' \ -d '{ "externalId": "string", "timestamp": 1, "hmac": "string"}'Example Response
{ "id": "string", "username": "string", "avatarUrl": "string", "externalId": "string", "isLocationBlocked": true, "accounts": [ { "type": "oauth", "provider": "wallet", "providerAccountId": "string" } ], "wallets": [ { "chain": "evm", "address": "string" } ], "venueAccounts": [ { "id": "string", "venue": "kalshi", "status": "string", "kycStatus": "string" } ], "otherIdentities": [ { "provider": "email" } ]}